Subject: Re: [Bug report] NFS patch breaks TLS device-offloaded TX zerocopy

From: Christoph Hellwig <[email-masked]>
Date: Mon, 12 Aug 2024 11:02:15 +0200

On Tue, Aug 06, 2024 at 01:07:47PM +0300, Tariq Toukan wrote:
> Adding Maxim Mikityanskiy, he might have some insights.

I think the important part to find out is if the in-kernel TLS API
has a limitation to PAGE_SIZE buffer segments, or not.  If it does
we need to disable large folios for the in-kernel consumers of the
API, which is easy (but annoying) for NFS that trigger this, but quite
painful for NVMe.  Or the API is supposed to handle it and just this
one offload gets it wrong, in which case we need to fix it.